List of all members
clan::Exception Class Reference
clanCore System

Top-level exception class. More...

`#include <exception.h>`

Inheritance diagram for clan::Exception:

## Public Member Functions
Construction
| Exception (const std::string &message)
| Constructs an exception object. More...
virtual | ~Exception () throw ()
| Destructs an exception object. More...
Operations
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created. More...
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines. More...

## Attributes
std::string | message
| Description of exception. More...
virtual const char * | what () const override throw ()
| Returns description of exception. More...

## Detailed Description

Top-level exception class.

The documentation for this class was generated from the following file:

- exception.h